#
# spec file for package network-autoconfig
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           network-autoconfig
Version:        1.0
Release:        8.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       wicked
Requires(pre):  %insserv_prereq
Summary:        Find a connected eth interface and create an ifcfg for it
License:        MIT
Group:          System/Boot
Url:            http://gitorious.org/opensuse/network-autoconfig

Source0:        README
Source1:        network-autoconfig
Source2:        boot.network-autoconfig

%description
All available Ethernet network interfaces will be cycled
until one is successfully configured.
This script should run at the first boot of a machine
that has several interfaces.

%prep
%setup -c -T
cp %{SOURCE0} .

%build

%install
# install it to a directory where autoyast will run it once
SBINDIR=$RPM_BUILD_ROOT/usr/sbin
INITDIR=$RPM_BUILD_ROOT/etc/init.d
mkdir -p $SBINDIR $INITDIR
install %{SOURCE1} $SBINDIR
install %{SOURCE2} $INITDIR

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%{fillup_and_insserv boot.network-autoconfig}

%files
%defattr(-,root,root)
%doc README
/etc/init.d/boot.network-autoconfig
/usr/sbin/network-autoconfig

%changelog
* Tue Jan 14 2014 mvidner@suse.com
- ported to wicked (FATE#316111)
- 1.0
* Tue Dec 21 2010 mvidner@suse.cz
- Initial packaging
